Making bot, need auth token, mobile: unsupported carrier and no long code


#1

I’m trying to write a bot, and right now I need to get OAuth data so I can post to my account.

So, I follow the standard app procedure. Sure, no problem. I go to change the permissions, switch over to R&W&A, apply. Apparently I need to add my mobile number to my account. Reasonable enough.

So, I enter my number on the devices page. Bam, nice big unsupported carrier message. I go to the long codes page, and I’m not in any of the long code regions. Yay.

So, I need to be able to post to my own account. Simple enough. I’m using Python and python-twitter, if that’s important.


#2

We’ve just run into the same problem. It seems like tweeting with your mobile is unrelated to using the API so I can’t see why it’s necessary.


#3

Yeah, and, I mean, this is a personal thing. I only want to tweet to my own account. :confused:


#4

If your carrier is not currently supported please contact our Platform Operations team by using the “I have an API policy question not covered by these points” option at https://support.twitter.com/forms/platform